define(`_PAGE', `css/')dnl
define(`_TITLE', `trinity.moe/css/')dnl
define(`_DESCRIPTION', `trinity.moe css')dnl
define(`_STYLE', `')
define(`csspage', `<INPUT ID="$1" NAME="css" TYPE="radio" VALUE="/css/$1.css" />
<LABEL FOR="$1">/css/$1.css</LABEL>
<BR />')dnl
<!DOCTYPE html>
<HTML LANG="en">
include(`../head.m4')dnl
<BODY>
<P><A HREF="/">~ Return to the rest of the site</A></P>
<SCRIPT SRC="/js/cookies.js" TYPE="application/javascript"></SCRIPT>
<SCRIPT SRC="/js/sheets.js"  TYPE="application/javascript"></SCRIPT>
<SCRIPT TYPE="application/javascript">window.onload = window.initializesheets;</SCRIPT>
<H1>Site CSS selector</H1>
<HR ALIGN="left" SIZE="1" WIDTH="25%" />
<P><SMALL>
This page may be hostile to screen readers and other web assistive technologies because it's essentially a raw list of filenames with paths and extensions.
If you'd like a friendlier view, it's possible the <A HREF="https://github.com/devenblake/homepage/tree/main/css">webview directory list</A> for the repository service I use could be a better way to browse this site's more hidden stylesheets.
Otherwise, pull requests are open for the repository, and my e-mail is on the site index if you don't have an account on the service being used.
</SMALL></P>
<P><SMALL>
This page uses JavaScript.
The URLs to the sheets are provided in their entry.
If you do not wish to use JavaScript for this page, you may set a custom theme for this website in your browser settings using the sheet file.
</SMALL></P>

csspage(`blank')
csspage(`4chanog')
csspage(`calebmode')
csspage(`discord')
csspage(`givemerights')
csspage(`instantfloppy')
csspage(`instantfloppy-redandwhite')
csspage(`k')
<INPUT ID="mcupdate" NAME="css" TYPE="radio" VALUE="/css/mcupdate.css" />
<LABEL FOR="mcupdate">/css/mcupdate.css (<B>NONFREE; read <A HREF="/css/mcupdate.css">the sheet source</A></B>)</LABEL>
<BR />
csspage(`nevertoodark')
csspage(`pink')
csspage(`windowsclassic')
csspage(`yarahmode')

<H4>side-effects</H4>
<INPUT ONCLICK="
var selected;
if((selected = document.querySelector('input[name=\'css\']:checked')) != null)
	window.setStyling(selected.value);
" TYPE="button" VALUE="apply to this page" />

<INPUT ONCLICK="
window.setCookie('sheet', window.getStyling(), 365);
" TYPE="button" VALUE="apply page styling site-wide with a cookie" />

</BODY>
</HTML>
